Bug 1225412 - [abrt] cinnamon: cinnamon-desktop-editor.py:109:pick_icon:TypeError: Argument 0 does not allow None as a value
Summary: [abrt] cinnamon: cinnamon-desktop-editor.py:109:pick_icon:TypeError: Argument...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9edfbcf62d588b72b9c55553927...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-27 10:22 UTC by Mohamed BEN HAMDOUNE
Modified: 2015-06-06 00:07 UTC (History)
4 users (show)

Fixed In Version: cjs-2.6.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-05 23:48:20 UTC


Attachments (Terms of Use)
File: backtrace (566 bytes, text/plain)
2015-05-27 10:22 UTC, Mohamed BEN HAMDOUNE
no flags Details
File: environ (1.43 KB, text/plain)
2015-05-27 10:22 UTC, Mohamed BEN HAMDOUNE
no flags Details

Description Mohamed BEN HAMDOUNE 2015-05-27 10:22:34 UTC
Description of problem:
I created a link for a script and added it to the panel and when i wanted to add an icon

Version-Release number of selected component:
cinnamon-2.6.2-1.fc22

Additional info:
reporter:       libreport-2.5.1
cmdline:        python2 /usr/lib/cinnamon-desktop-editor/cinnamon-desktop-editor.py -mcinnamon-launcher -fcinnamon-custom-launcher-1.desktop panel-launchers@cinnamon.org 2 /home/mbenhamd/.cinnamon/configs/panel-launchers@cinnamon.org/2.json
executable:     /usr/lib/cinnamon-desktop-editor/cinnamon-desktop-editor.py
kernel:         4.0.4-301.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
cinnamon-desktop-editor.py:109:pick_icon:TypeError: Argument 0 does not allow None as a value

Traceback (most recent call last):
  File "/usr/lib/cinnamon-desktop-editor/cinnamon-desktop-editor.py", line 109, in pick_icon
    if GLib.path_is_absolute(fn):
TypeError: Argument 0 does not allow None as a value

Local variables in innermost frame:
button: <Button object at 0x7f78fc19f8c0 (GtkButton at 0x1638560)>
chooser: <FileChooserDialog object at 0x7f78fc19faa0 (GtkFileChooserDialog at 0x17542a0)>
self: <__main__.IconPicker object at 0x7f78fc1a6150>
fn: None

Comment 1 Mohamed BEN HAMDOUNE 2015-05-27 10:22:36 UTC
Created attachment 1030460 [details]
File: backtrace

Comment 2 Mohamed BEN HAMDOUNE 2015-05-27 10:22:37 UTC
Created attachment 1030461 [details]
File: environ

Comment 3 leigh scott 2015-05-28 16:34:57 UTC
fixed in git

https://github.com/linuxmint/Cinnamon/issues/4211#event-316084262

Comment 4 Fedora Update System 2015-05-29 20:01:14 UTC
cjs-2.6.0-1.fc22, muffin-2.6.0-1.fc22, cinnamon-menus-2.6.0-1.fc22, cinnamon-control-center-2.6.0-2.fc22, cinnamon-translations-2.6.1-1.fc22, cinnamon-settings-daemon-2.6.1-1.fc22, cinnamon-session-2.6.1-1.fc22, cinnamon-screensaver-2.6.1-1.fc22, nemo-2.6.5-1.fc22, cinnamon-desktop-2.6.3-2.fc22, cinnamon-2.6.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-8628/nemo-2.6.5-1.fc22,muffin-2.6.0-1.fc22,cjs-2.6.0-1.fc22,cinnamon-translations-2.6.1-1.fc22,cinnamon-settings-daemon-2.6.1-1.fc22,cinnamon-session-2.6.1-1.fc22,cinnamon-screensaver-2.6.1-1.fc22,cinnamon-menus-2.6.0-1.fc22,cinnamon-desktop-2.6.3-2.fc22,cinnamon-control-center-2.6.0-2.fc22,cinnamon-2.6.4-1.fc22

Comment 5 Fedora Update System 2015-05-29 20:03:47 UTC
muffin-2.6.0-1.fc20, cjs-2.6.0-1.fc20, cinnamon-translations-2.6.1-1.fc20, cinnamon-menus-2.6.0-1.fc20, cinnamon-control-center-2.6.0-2.fc20, cinnamon-settings-daemon-2.6.1-1.fc20, cinnamon-session-2.6.1-1.fc20, cinnamon-screensaver-2.6.1-1.fc20, nemo-2.6.5-1.fc20, cinnamon-desktop-2.6.3-2.fc20, cinnamon-2.6.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2015-8666/nemo-2.6.5-1.fc20,muffin-2.6.0-1.fc20,cjs-2.6.0-1.fc20,cinnamon-translations-2.6.1-1.fc20,cinnamon-settings-daemon-2.6.1-1.fc20,cinnamon-session-2.6.1-1.fc20,cinnamon-screensaver-2.6.1-1.fc20,cinnamon-menus-2.6.0-1.fc20,cinnamon-desktop-2.6.3-2.fc20,cinnamon-control-center-2.6.0-2.fc20,cinnamon-2.6.4-1.fc20

Comment 6 Fedora Update System 2015-05-29 20:04:31 UTC
muffin-2.6.0-1.fc21, cjs-2.6.0-1.fc21, cinnamon-menus-2.6.0-1.fc21, cinnamon-control-center-2.6.0-2.fc21, cinnamon-translations-2.6.1-1.fc21, cinnamon-settings-daemon-2.6.1-1.fc21, cinnamon-screensaver-2.6.1-1.fc21, nemo-2.6.5-1.fc21, cinnamon-session-2.6.1-1.fc21, cinnamon-desktop-2.6.3-2.fc21, cinnamon-2.6.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-8650/nemo-2.6.5-1.fc21,muffin-2.6.0-1.fc21,cjs-2.6.0-1.fc21,cinnamon-translations-2.6.1-1.fc21,cinnamon-settings-daemon-2.6.1-1.fc21,cinnamon-session-2.6.1-1.fc21,cinnamon-screensaver-2.6.1-1.fc21,cinnamon-menus-2.6.0-1.fc21,cinnamon-desktop-2.6.3-2.fc21,cinnamon-control-center-2.6.0-2.fc21,cinnamon-2.6.4-1.fc21

Comment 7 Fedora Update System 2015-06-01 17:03:25 UTC
Package cjs-2.6.0-1.fc21, cinnamon-menus-2.6.0-1.fc21, cinnamon-control-center-2.6.0-2.fc21, cinnamon-translations-2.6.1-1.fc21, cinnamon-settings-daemon-2.6.1-1.fc21, cinnamon-screensaver-2.6.1-1.fc21, nemo-2.6.5-1.fc21, cinnamon-session-2.6.1-1.fc21, muffin-2.6.1-1.fc21, cinnamon-desktop-2.6.4-2.fc21, cinnamon-2.6.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cjs-2.6.0-1.fc21 cinnamon-menus-2.6.0-1.fc21 cinnamon-control-center-2.6.0-2.fc21 cinnamon-translations-2.6.1-1.fc21 cinnamon-settings-daemon-2.6.1-1.fc21 cinnamon-screensaver-2.6.1-1.fc21 nemo-2.6.5-1.fc21 cinnamon-session-2.6.1-1.fc21 muffin-2.6.1-1.fc21 cinnamon-desktop-2.6.4-2.fc21 cinnamon-2.6.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8650/nemo-2.6.5-1.fc21,muffin-2.6.0-1.fc21,cjs-2.6.0-1.fc21,cinnamon-translations-2.6.1-1.fc21,cinnamon-settings-daemon-2.6.1-1.fc21,cinnamon-session-2.6.1-1.fc21,cinnamon-screensaver-2.6.1-1.fc21,cinnamon-menus-2.6.0-1.fc21,cinnamon-desktop-2.6.3-2.fc21,cinnamon-control-center-2.6.0-2.fc21,cinnamon-2.6.4-1.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-06-05 23:48:20 UTC
cjs-2.6.0-1.fc21, cinnamon-menus-2.6.0-1.fc21, cinnamon-control-center-2.6.0-2.fc21, cinnamon-translations-2.6.1-1.fc21, cinnamon-settings-daemon-2.6.1-1.fc21, cinnamon-screensaver-2.6.1-1.fc21, nemo-2.6.5-1.fc21, cinnamon-session-2.6.1-1.fc21, muffin-2.6.1-1.fc21, cinnamon-desktop-2.6.4-2.fc21, cinnamon-2.6.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-06-05 23:56:13 UTC
cjs-2.6.0-1.fc22, cinnamon-menus-2.6.0-1.fc22, cinnamon-control-center-2.6.0-2.fc22, cinnamon-translations-2.6.1-1.fc22, cinnamon-settings-daemon-2.6.1-1.fc22, cinnamon-session-2.6.1-1.fc22, cinnamon-screensaver-2.6.1-1.fc22, cinnamon-desktop-2.6.4-2.fc22, cinnamon-2.6.6-1.fc22, nemo-2.6.5-1.fc22, muffin-2.6.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-06-06 00:07:56 UTC
cjs-2.6.0-1.fc20, cinnamon-translations-2.6.1-1.fc20, cinnamon-menus-2.6.0-1.fc20, cinnamon-control-center-2.6.0-2.fc20, cinnamon-settings-daemon-2.6.1-1.fc20, cinnamon-session-2.6.1-1.fc20, cinnamon-screensaver-2.6.1-1.fc20, nemo-2.6.5-1.fc20, muffin-2.6.1-1.fc20, cinnamon-desktop-2.6.4-2.fc20, cinnamon-2.6.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.